Platform & IdentityStores
Get store settings
Returns the current store's identity, region, business contact and checkout settings.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/stores/settings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004327977", "name": "Mi tienda", "description": "Polo de algodón pima para uso diario.", "slug": "mi-tienda", "domain": "mi-tienda.ecomiq.app", "logo": "Mi tienda", "favicon": "Mi tienda", "icon": "Mi tienda", "visibility": "public", "timeZone": "America/Lima", "countryCode": "PE", "currency": "PEN", "language": "es", "checkoutSettings": { "orderProcessing": { "autoArchiveDeliveredOrders": false, "autoFulfillDigitalOrders": false, "customerReturns": false, "returnWindowDays": 30, "customerCancellations": false }, "general": { "allowGuestCheckout": false, "identityScope": "store", "customerLoginMode": "hosted", "customerRegistration": { "firstName": "hidden", "lastName": "hidden", "phone": "hidden", "dateOfBirth": "hidden" }, "captchaProvider": "turnstile" }, "orderBumps": { "allowOnlyOneAdditionalOffer": false, "maxVisibleOffers": 1 }, "ordersAndPayments": { "allowPurchasesFrom": "any", "maximumItemsPerOrder": 1 }, "abandonedCarts": { "sendRecoveryEmail": false, "delayHours": 1 } }}